<?php

namespace App\Dto;

class RestaurantListDto implements DtoInterface
{
    /**
     * @param PaginationDto $pagination
     * @param DtoCollection<RestaurantListingElementDto> $list
     * @param RestaurantFilterVariantsDto $filterVariants
     */
    public function __construct(
        public PaginationDto $pagination,

        /** @var DtoCollection<RestaurantListingElementDto>  */
        public DtoCollection $list,

        public RestaurantFilterVariantsDto $filterVariants,
    ) {}
}
