<?php

namespace App\Controller;

use App\Request\EmptyRequest;
use App\Service\NewsSearchService;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/api/v1/news')]
class NewsSearchController extends AbstractController
{
    public function __construct(NewsSearchService $service)
    {
        parent::__construct($service);
    }

    #[Route('/search', name: 'newsSearch')]
    public function index(EmptyRequest $request): JsonResponse
    {
        return $this->build($request);
    }
}